Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsSource

All Known Implementing Classes:
  AbstractMetricsSource, JvmMetricsSource, RpcInstrumentation, RpcInstrumentation.Detailed, TaskTrackerMetricsSource

    public interface MetricsSource

The metrics source interface

Method Summary
`void` | `getMetrics(MetricsBuilder builder, boolean all)` Get metrics from the source

Method Detail

### getMetrics

    void getMetrics(MetricsBuilder builder,
                    boolean all)

  Get metrics from the source

  Parameters:
    `builder` - to contain the resulting metrics snapshot
    `all` - if true, return all metrics even if unchanged.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation